aboutsummaryrefslogtreecommitdiff
path: root/v2/src/bin/absolute
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xv2/src/bin/absolute67
1 files changed, 67 insertions, 0 deletions
diff --git a/v2/src/bin/absolute b/v2/src/bin/absolute
new file mode 100755
index 0000000..ae25b43
--- /dev/null
+++ b/v2/src/bin/absolute
@@ -0,0 +1,67 @@
+#!/bin/sh
+set -eu
+
+
+usage() {
+ cat <<-'EOF'
+ Usage:
+ absolute < STDIN
+ absolute -h
+ EOF
+}
+
+help() {
+ cat <<-'EOF'
+
+ Options:
+ -h, --help show this message
+
+
+ Read URL from STDIN and adds the FQDN prefix. Meant to be used
+ in conjunction with `url-for`.
+
+
+ Examples:
+
+ Get the URL for "static/style.css", and make it absolute:
+
+ $ url-for 'static/style.css' | absolute
+ https://euandre.org/static/style.css
+ EOF
+}
+
+
+for flag in "$@"; do
+ case "$flag" in
+ --)
+ break
+ ;;
+ --help)
+ usage
+ help
+ exit
+ ;;
+ *)
+ ;;
+ esac
+done
+
+while getopts 'h' flag; do
+ case "$flag" in
+ h)
+ usage
+ help
+ exit
+ ;;
+ *)
+ usage >&2
+ exit 2
+ ;;
+ esac
+done
+shift $((OPTIND - 1))
+
+
+. src/development/config.env
+
+printf 'https://%s%s' "$FQDN" "$(cat)"